
TYPO3.Flow - Bug # 29414

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Command
Created: 2011-09-01 Assigned To: Robert Lemke
Updated: 2011-09-06 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Deletion of packages results in fatal error
Description

Most package operations (package:delete, package:deactivate etc.) and possibly also flow3:cache:flush result in a fatal error like this
one:

$ ./flow3 package:delete TYPO3.T3con11Typo3Org
Flushed all caches.

Fatal error: Call to a member function dispatch() on a non-object in
/opt/local/apache2/htdocs/sites/flow3.org/Packages/Framework/TYPO3.FLOW3/Classes/SignalSlot/SignalAspect.php on line
49

Related issues:
related to TYPO3.Flow - Bug # 28373: Error after clearing temporary data Closed 2011-07-21

Associated revisions
Revision df34272c - 2011-09-06 11:10 - Robert Lemke

[BUGFIX] package:* commands no longer issue a fatal error

Most package:* commands and sometimes also the flow3:cache:flush
command issued a fatal error. The actual command was executed
successfully, but the SignalAspect caused a fatal error because
the proxy code cache had already been flushed and therefore
FLOW3 was in an unstable state.

Those commands which flush the code caches will now exit right away
to avoid any further code execution.

Change-Id: I8bbb9112cec12f1888e79896787db8a9d4e125a0
Resolves: #29414

History
#1 - 2011-09-01 13:21 - Karsten Dambekalns

The same seems to happen when activating a package that is not installed?!
#2 - 2011-09-05 15:20 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#3 - 2011-09-05 15:24 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I8bbb9112cec12f1888e79896787db8a9d4e125a0 has been pushed to the review server.
It is available at http://review.typo3.org/4767

#4 - 2011-09-05 15:59 - Mr. Hudson

Patch set 2 of change I8bbb9112cec12f1888e79896787db8a9d4e125a0 has been pushed to the review server.
It is available at http://review.typo3.org/4767

#5 - 2011-09-06 10:54 - Mr. Hudson

Patch set 3 of change I8bbb9112cec12f1888e79896787db8a9d4e125a0 has been pushed to the review server.
It is available at http://review.typo3.org/4767

#6 - 2011-09-06 11:11 - Mr. Hudson

Patch set 4 of change I8bbb9112cec12f1888e79896787db8a9d4e125a0 has been pushed to the review server.
It is available at http://review.typo3.org/4767

#7 - 2011-09-06 11:36 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:df34272c15e2a8d04ef0f15a896d1e13865cd883.
